
function Swimming()
    KEY()

    ANP("Sue1","transform_fish")ANP("Sue1","float")
    ANP("Toroko1","transform_fish")ANP("Toroko1","float")
    ANP("Chako1","transform_fish")ANP("Chako1","float")
    ANP("Jack1","transform_fish")ANP("Jack1","float")
    ANP("Santa1","transform_fish")ANP("Santa1","float")
    MOV(6,12,1)SLR(1,1)AMC("float",1,1)
    MOV(5,12,0)SLR(1,0)AMC("float",1,0)
    ANP("Arowana1","float")
    WAI(16)
    CMU("XXXX")
    ANP("Arowana1","set_target")ANP("Arowana1","Pos1")ANP("Arowana1","swim_target")
    --[[
    AMC("set_target",1,1)AMC("Arowana1",1,1)AMC("swim_target",1,1)
    AMC("set_target",1,0)AMC("Arowana1",1,0)AMC("swim_target",1,0)
    ANP("Sue1","set_target")ANP("Sue1","Arowana1")ANP("Sue1","swim_target")
    ANP("Jack1","set_target")ANP("Jack1","Arowana1")ANP("Jack1","swim_target")
    ANP("Santa1","set_target")ANP("Santa1","Arowana1")ANP("Santa1","swim_target")
    ANP("Toroko1","set_target")ANP("Toroko1","Arowana1")ANP("Toroko1","swim_target")
    ANP("Chako1","set_target")ANP("Chako1","Arowana1")ANP("Chako1","swim_target")
    --]]
    AMC("swim",1,1)
    AMC("swim",1,0)
    ANP("Sue1","swim")
    ANP("Jack1","swim")
    ANP("Santa1","swim")
    ANP("Toroko1","swim")
    ANP("Chako1","swim")
    FAI(3)
    WAI(120)
    --停下
    ANP("Arowana1","float")
    WAI(16)
    AMC("float",1,1)
    AMC("float",1,0)
    ANP("Sue1","float",1)
    ANP("Jack1","float",1)
    ANP("Santa1","float",1)
    ANP("Toroko1","float",1)
    ANP("Chako1","float",1)
    WAI(32)
    FAC("curly_normal")MS3("前面的路被碎石挡住了呢，")NOD()
    AMC("float",0,1)
    CAT("\n库特你的飞弹还能用嘛。")NOD()CLR()
    FAC()CAT("\n.")WAI(16)CAT(".")WAI(16)CAT(".")WAI(16)CAT(".")WAI(16)CAT(".")WAI(16)CAT(".")WAI(16)CLR()
    FAC("curly_sad")CAT("啊对，")NOD()
    CAT("\n你现在是条鱼，")NOD()
    CAT("\n这有点为难你了。")NOD()CLO()
    ANP("Arowana1","float",0)
    WAI(32)
    FAC()MS3("不要小瞧鱼啊！")NOD()
    AMC("float",1,1)
    ANP("Arowana1","float",1)
    CAT("\n这点问题就交给我吧。")NOD()
    CAT("\n你们往周围靠一点。")NOD()CLO()

    AMC("set_target",1,1)AMC("PosUp",1,1)AMC("swim_target",1,1)
    ANP("Santa1","set_target")ANP("Santa1","PosUp")ANP("Santa1","swim_target")
    ANP("Chako1","set_target")ANP("Chako1","PosUp")ANP("Chako1","swim_target")
    ANP("Sue1","set_target")ANP("Sue1","PosUp")ANP("Sue1","swim_target")

    AMC("set_target",1,0)AMC("PosDown",1,0)AMC("swim_target",1,0)
    ANP("Toroko1","set_target")ANP("Toroko1","PosDown")ANP("Toroko1","swim_target")
    ANP("Jack1","set_target")ANP("Jack1","PosDown")ANP("Jack1","swim_target")
    WAI(32)
    ANP("Arowana1","swim_back")
    WAI(32)
    AMC("float",1,1)
    AMC("float",1,0)
    ANP("Sue1","float",1)
    ANP("Jack1","float",1)
    ANP("Santa1","float",1)
    ANP("Toroko1","float",1)
    ANP("Chako1","float",1)
    WAI(120)
    ANP("Arowana1","stop")
    WAI(32)
    ANP("Arowana1","dash")
    WAI(70)
    SOU("CS_012_block_destroy")
    CMP("cmpLayer_1","mainLayer","CS_pe_smoke")
    ANP("Arowana1","stop")
    WAI(60)
    ANP("Arowana1","float")
    FAC("toroko_normal")MS3("\n鱼先生好厉害！")NOD()CLR()
    FAC("curly_happy")CAT("\n有两下子嘛~")NOD()CLR()
    FAC()CAT("我倒突然开始好奇间八")
    CAT("\n当时是怎么钓起这个怪物的。")NOD()CLR()
    ANP("Arowana1","float",0)
    FAC()CAT("\n你说什么？")NOD()CLR()
    ANP("Santa1","float",0)
    FAC()CAT("\n没什么没什么。")NOD()CLO()
    WAI(60)
    for i=0,5,1 do
        SOU("CS_026_quake")WAI(8)
    end
    SOU("CS_035_explosion1")
    WAI(30)
    --所有人看后面
    ANP("Sue1","float",0)
    ANP("Jack1","float",0)
    ANP("Santa1","float",0)
    ANP("Toroko1","float",0)
    ANP("Chako1","float",0)
    WAI(16)
    SLR(0)
    WAI(32)
    ANP("ShockWaveBase1",0,1)--冲击波
    WAI(60)
    --CMU("CS_Escape")
    PRI()
    FAC("curly_normal")MS3("是后面爆炸的冲击波传来了！")NOD()
    CAT("\n大家快点逃！")NOD()CLO()
    KEY()
    AMC("set_target",1,1)AMC("Arowana1",1,1)AMC("swim_target",1,1)
    AMC("set_target",1,0)AMC("Arowana1",1,0)AMC("swim_target",1,0)
    ANP("Sue1","set_target")ANP("Sue1","Arowana1")ANP("Sue1","swim_target")
    ANP("Jack1","set_target")ANP("Jack1","Arowana1")ANP("Jack1","swim_target")
    ANP("Santa1","set_target")ANP("Santa1","Arowana1")ANP("Santa1","swim_target")
    ANP("Toroko1","set_target")ANP("Toroko1","Arowana1")ANP("Toroko1","swim_target")
    ANP("Chako1","set_target")ANP("Chako1","Arowana1")ANP("Chako1","swim_target")
    WAI(32)
    ANP("Arowana1","swim2",1)
    WAI(90)
    FAO(1)
    TRA("CS_gaudi_mountain_collapsed","Rescue",0,0)
end